> ## Documentation Index
> Fetch the complete documentation index at: https://docs.beam.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Retry Task Execution

> Retry a failed or incomplete task execution with optional modifications.



## OpenAPI

````yaml post /agent-tasks/retry
openapi: 3.0.0
info:
  title: Public API
  description: Public endpoints to interact with agents and orchestrate tasks
  version: '1.0'
  contact: {}
servers:
  - url: https://api.beamstudio.ai
security: []
tags: []
paths:
  /agent-tasks/retry:
    post:
      tags:
        - Agent Task
      summary: Retry Task Execution
      description: Retry a failed or incomplete task execution with optional modifications.
      operationId: AgentTaskController_retryTaskExecution
      parameters:
        - name: current-workspace-id
          in: header
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TaskNodeExecutionRetryOptionsDto'
      responses:
        '201':
          description: Task retry initiated successfully
      security:
        - x-api-key: []
components:
  schemas:
    TaskNodeExecutionRetryOptionsDto:
      type: object
      properties:
        taskNodeId:
          type: string
        taskId:
          type: string
        taskNodeFeedbackAsText:
          type: string
        taskNodeFeedbackPerKeys:
          type: array
          items:
            $ref: '#/components/schemas/TaskNodeFeedbackPerKeysDto'
    TaskNodeFeedbackPerKeysDto:
      type: object
      properties:
        outputKey:
          type: string
        description:
          type: string
      required:
        - outputKey
        - description
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

````